*{
  box-sizing:border-box;
}
.calendar{
  display:flex;
  align-items:center;
  margin:30px auto;
 // width:100%;
  button{
    cursor:pointer;
    background:#fff;
  }
  &__week{
    &--toggler{
      z-index:2;
      border:1px dotted;
      height:40px;
    }
    &__wrapper{
      flex-grow:1;
     // min-width:520px;
      //max-width:520px;
      height:40px;
      overflow:hidden;
      position:relative;
    }
    &__roller{
      display:flex;
      justify-content: center;
      position:absolute;
      top:0;
      left:0;
      transition:all 0.5s cubic-bezier(0.47, 0, 0.75, 0.72);
      cursor:grab;
    }
    &__view{
     // min-width:520px;
     // max-width:520px;
      display:inline-flex;
      justify-content: space-between;
      position:relative;
      flex-grow:1;
    }
    &__item{
      border:none;
      flex-grow:1;
      padding:5px;
      text-align:center;
      min-width:calc(100% / 7);
      max-width:calc(100% / 7);
    }
  }
}